Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.expr
Interface JIValueSupplier

public interface JIValueSupplier

Method Summary
`java.lang.Object` | `binaryOperation(java.lang.Object lVal, java.lang.Object rVal, int nodeType)`
`java.lang.Boolean` | `compareValues(java.lang.Object lVal, java.lang.Object rVal, int nodeType)`
`java.lang.Object` | `getFieldVal(java.lang.Object obj, java.lang.String fldName)`
`java.lang.Object` | `getLiteralFieldVal(java.lang.Object obj, java.lang.String fldName)`
`java.lang.Object` | `getVariableVal(java.lang.String varName)`
`boolean` | `isRegExpMatch(java.lang.String sMatch, java.lang.String sPattern)`
`void` | `print(java.lang.String s)`
`void` | `println(java.lang.String s)`
`void` | `setFieldVal(java.lang.Object obj, java.lang.String fldName, java.lang.Object val)`
`void` | `setLiteralFieldVal(java.lang.Object obj, java.lang.String fldName, java.lang.Object val)`
`void` | `setVariableVal(java.lang.String varName, java.lang.Object val)`
`java.lang.Object` | `unaryOperation(java.lang.Object val, int nodeType)`

Method Detail

### getVariableVal

    public java.lang.Object getVariableVal(java.lang.String varName)

### getFieldVal

    public java.lang.Object getFieldVal(java.lang.Object obj,
                                        java.lang.String fldName)

### getLiteralFieldVal

    public java.lang.Object getLiteralFieldVal(java.lang.Object obj,
                                               java.lang.String fldName)

### setVariableVal

    public void setVariableVal(java.lang.String varName,
                               java.lang.Object val)

### setFieldVal

    public void setFieldVal(java.lang.Object obj,
                            java.lang.String fldName,
                            java.lang.Object val)

### setLiteralFieldVal

    public void setLiteralFieldVal(java.lang.Object obj,
                                   java.lang.String fldName,
                                   java.lang.Object val)

### unaryOperation

    public java.lang.Object unaryOperation(java.lang.Object val,
                                           int nodeType)

### binaryOperation

    public java.lang.Object binaryOperation(java.lang.Object lVal,
                                            java.lang.Object rVal,
                                            int nodeType)

### compareValues

    public java.lang.Boolean compareValues(java.lang.Object lVal,
                                           java.lang.Object rVal,
                                           int nodeType)

### isRegExpMatch

    public boolean isRegExpMatch(java.lang.String sMatch,
                                 java.lang.String sPattern)

### print

    public void print(java.lang.String s)

### println

    public void println(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.